<?xml version="1.0" encoding="utf-8"?>
<layout>
  <data>
    <variable
      name="viewModel"
      type="com.diagnosiscovid.features.main.profile.ProfileViewModel" />
  </data>

  <androidx.core.widget.NestedScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".features.main.profile.ProfileFragment">

    <androidx.constraintlayout.widget.ConstraintLayout
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:paddingBottom="40dp">

      <ProgressBar
        android:id="@+id/progress_bar"
        android:layout_width="64dp"
        android:layout_height="64dp"
        android:elevation="6dp"
        android:indeterminate="true"
        android:indeterminateTint="@color/purple_755FE2"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

      <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/text_profile_label"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="60dp"
        android:fontFamily="@font/poppins_bold"
        android:gravity="center_horizontal"
        android:text="Profile"
        android:textColor="@color/black"
        android:textSize="24sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

      <de.hdodenhof.circleimageview.CircleImageView
        android:id="@+id/image_profile"
        android:layout_width="122dp"
        android:layout_height="122dp"
        android:layout_marginTop="16dp"
        android:src="@drawable/ic_user"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/text_profile_label" />

      <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/text_name_label"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="60dp"
        android:fontFamily="@font/poppins_bold"
        android:paddingStart="56dp"
        android:paddingEnd="56dp"
        android:text="Nama Lengkap"
        android:textColor="@color/black"
        android:textSize="16sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/image_profile" />

      <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/layout_input_name"
        style="@style/OutlinedRoundedBox"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="49dp"
        android:layout_marginEnd="49dp"
        app:hintEnabled="false"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/text_name_label">

        <com.google.android.material.textfield.TextInputEditText
          android:layout_width="match_parent"
          android:layout_height="62dp"
          android:background="@drawable/background_rounded_input"
          android:fontFamily="@font/poppins_regular"
          android:hint="Nama Lengkap"
          android:imeOptions="actionNext"
          android:inputType="textPersonName"
          android:text="@={viewModel.name}" />

      </com.google.android.material.textfield.TextInputLayout>

      <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/text_gender_label"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="12dp"
        android:fontFamily="@font/poppins_bold"
        android:paddingStart="56dp"
        android:paddingEnd="56dp"
        android:text="Jenis Kelamin"
        android:textColor="@color/black"
        android:textSize="16sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/layout_input_name" />

      <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/layout_input_gender"
        style="@style/OutlinedRoundedBoxDropDown"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="49dp"
        android:layout_marginEnd="49dp"
        app:hintEnabled="false"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/text_gender_label">

        <androidx.appcompat.widget.AppCompatAutoCompleteTextView
          android:id="@+id/auto_complete_gender_profile"
          android:layout_width="match_parent"
          android:layout_height="62dp"
          android:background="@drawable/background_rounded_input"
          android:fontFamily="@font/poppins_regular"
          android:hint="Jenis Kelamin"
          android:inputType="none"
          android:text="@={viewModel.gender}" />

      </com.google.android.material.textfield.TextInputLayout>

      <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/text_address_label"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="12dp"
        android:fontFamily="@font/poppins_bold"
        android:paddingStart="56dp"
        android:paddingEnd="56dp"
        android:text="Alamat"
        android:textColor="@color/black"
        android:textSize="16sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/layout_input_gender" />

      <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/layout_input_address"
        style="@style/OutlinedRoundedBox"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="49dp"
        android:layout_marginEnd="49dp"
        app:hintEnabled="false"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/text_address_label">

        <com.google.android.material.textfield.TextInputEditText
          android:layout_width="match_parent"
          android:layout_height="62dp"
          android:background="@drawable/background_rounded_input"
          android:fontFamily="@font/poppins_regular"
          android:hint="Alamat"
          android:imeOptions="actionNext"
          android:inputType="textMultiLine"
          android:text="@={viewModel.address}" />

      </com.google.android.material.textfield.TextInputLayout>

      <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/text_username_label"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="12dp"
        android:fontFamily="@font/poppins_bold"
        android:paddingStart="56dp"
        android:paddingEnd="56dp"
        android:text="Username"
        android:textColor="@color/black"
        android:textSize="16sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/layout_input_address" />

      <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/layout_input_username"
        style="@style/OutlinedRoundedBox"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="49dp"
        android:layout_marginEnd="49dp"
        app:hintEnabled="false"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/text_username_label">

        <com.google.android.material.textfield.TextInputEditText
          android:layout_width="match_parent"
          android:layout_height="62dp"
          android:background="@drawable/background_rounded_input"
          android:fontFamily="@font/poppins_regular"
          android:hint="Username"
          android:imeOptions="actionNext"
          android:inputType="text"
          android:text="@{viewModel.username}" />

      </com.google.android.material.textfield.TextInputLayout>

      <com.google.android.material.button.MaterialButton
        android:id="@+id/button_edit"
        android:layout_width="100dp"
        android:layout_height="62dp"
        android:layout_marginStart="49dp"
        android:layout_marginTop="40dp"
        android:layout_marginEnd="49dp"
        android:background="@drawable/background_rounded_button"
        android:fontFamily="@font/poppins_bold"
        android:text="Edit"
        android:textAllCaps="false"
        app:layout_constraintEnd_toStartOf="@id/button_logout"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/layout_input_username" />

      <com.google.android.material.button.MaterialButton
        android:id="@+id/button_logout"
        android:layout_width="100dp"
        android:layout_height="62dp"
        android:layout_marginStart="49dp"
        android:layout_marginTop="40dp"
        android:layout_marginEnd="49dp"
        android:background="@drawable/background_rounded_button"
        android:fontFamily="@font/poppins_bold"
        android:text="Logout"
        android:textAllCaps="false"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/button_edit"
        app:layout_constraintTop_toBottomOf="@id/layout_input_username" />

      <com.google.android.material.button.MaterialButton
        android:id="@+id/button_cancel"
        android:layout_width="100dp"
        android:layout_height="62dp"
        android:layout_marginStart="49dp"
        android:layout_marginTop="40dp"
        android:layout_marginEnd="49dp"
        android:background="@drawable/background_rounded_button"
        android:fontFamily="@font/poppins_bold"
        android:text="Cancel"
        android:textAllCaps="false"
        android:visibility="gone"
        app:layout_constraintEnd_toStartOf="@id/button_save"
        app:layout_constraintStart_toStartOf="@id/layout_input_username"
        app:layout_constraintTop_toBottomOf="@id/layout_input_username" />

      <com.google.android.material.button.MaterialButton
        android:id="@+id/button_save"
        android:layout_width="100dp"
        android:layout_height="62dp"
        android:layout_marginStart="49dp"
        android:layout_marginTop="40dp"
        android:layout_marginEnd="49dp"
        android:background="@drawable/background_rounded_button"
        android:fontFamily="@font/poppins_bold"
        android:text="Save"
        android:textAllCaps="false"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="@id/layout_input_username"
        app:layout_constraintStart_toEndOf="@id/button_cancel"
        app:layout_constraintTop_toBottomOf="@id/layout_input_username" />

    </androidx.constraintlayout.widget.ConstraintLayout>

  </androidx.core.widget.NestedScrollView>
</layout>